gtk.VScale
Prev | The gtk Class Reference | Next

## gtk.VScale

gtk.VScale — a vertical slider widget used to select a value from a range.

## Synopsis

    class gtk.VScale(gtk.Scale):
        gtk.VScale(adjustment=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Range
            +-- gtk.Scale
              +-- gtk.VScale

## Implemented Interfaces

`gtk.VScale` implements `gtk.Buildable`

## gtk.VScale Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Range Properties

gtk.Scale Properties

## gtk.VScale Style Properties

gtk.Widget Style Properties

gtk.Range Style Properties

gtk.Scale Style Properties

## gtk.VScale Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Range Signal Prototypes

gtk.Scale Signal Prototypes

## Description

The `gtk.VScale` is subclassed from `gtk.Scale` to provide a widget that allows a user to select a value using a horizontal slider. See the `gtk.Scale` description for more information on the methods available to manage a `gtk.VScale`.

## Constructor

        gtk.VScale(adjustment=None)

`adjustment` : | a `gtk.Adjustment` or `None`
Returns : | a new `gtk.VScale` widget

Creates a new `gtk.VScale` widget and associates a `gtk.Adjustment` specified by `adjustment` with it. The default value of `adjustment` is `None` which creates the vscale with no `gtk.Adjustment`.

Prev | Up | Next
gtk.VRuler | Home | gtk.VScrollbar